<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Tables and Forms</title>
</head>
<body>
<div id="head">
	<h2>
		HTML Entities
	</h2>
	<p><em>
		Reserved characters in HTML (e.g. &lt; or > characters that can mix up with HTML code).
	</p></em>
</div>

<div id="table">
	<!-- Defines or creates an HTML table -->
	<table border="1">
		<!-- Used to group table header content -->
		<thead>
			<!-- Defines a table row -->
			<tr>
				<!-- Table Headings -->
				<th colspan="2">Entity</th>
				<th>Description</th>
			</tr>
		</thead>

		<!-- Used to group table body content -->
		<tbody>
			<!-- row 1 -->
			<tr>
				<!-- Table Data -->
				<td>&lt;</td>
				<td>lt</td>
				<td>less than</td>	
			</tr>
			<!-- row 2 -->
			<tr>
				<td>&gt;</td>
				<td>gt</td>
				<td>greater than</td>
			</tr>
			<!-- row 3 -->
			<tr>
				<td>&#8369;</td>
				<td>#8369</td>
				<td>peso sign</td>
			</tr>
			<tr>
				<td>&amp;</td>
				<td>amp</td>
				<td>ampersand</td>
			</tr>
			<tr>
				<td>&quot;</td>
				<td>quot</td>
				<td>double quotation mark</td>
			</tr>
			<tr>
				<td>&apos;</td>
				<td>apos</td>
				<td>single quotation mark</td>
			</tr>
			<tr>
				<td>&ntilde;</td>
				<td>ntilde</td>
				<td>lower tilde</td>
			</tr>
			<tr>
				<td>&Ntilde;</td>
				<td>Ntilde</td>
				<td>upper tilde</td>
			</tr>
		</tbody>

		<tfoot>
			<tr>
				<th colspan="3">List of HTML Entities</th>
			</tr>
		</tfoot>
	</table>
</div>
	<br>
	<hr style="border-top: dotted 2px;">
<div id="form">
	<h2>HTML Forms</h2>
	<p><em>
		Inputs elements that make up a form
	</p></em>

	<!-- Creates an HTML form to capture user input -->
	<form action="https://google.com/">
		<label for="fullName">Full Name:</label>
		<br>
		<input type="text" name="fullName" id="fullName" required>
		<br>

		<br>
		<label for="birthDate">BirthDate:</label>
		<br>
		<input type="date" name="birthDate" id="birthDate" required>
		<br>

		<br>
		<label for="age">Age:</label>
		<br>
		<input type="number" name="age" id="age" required>
		<br>

		<br>
		<label for="gender">Gender:</label>
		<br>
			<select name="gender" id="gender" required>
				<option>Please Select Below</option>
				<option value="Male">Male</option>
				<option value="Female">Female</option>
				<option value="Others">Prefer not to specify</option>
			</select>
		<br>

		<br>
		<label>New User:</label>
		<br>
		<!-- Creates radio button -->
		<input type="radio" name="userType" id="newUser" required>
		<label for="userType">Yes</label>
		<br>
		<input type="radio" name="userType" id="oldUser" required
		<label for="userType">No</label>
		<br>

		<br>
		<label for="notes">Notes:</label>
		<br>
		<textarea name="notes" id="notes" rows="3"></textarea>
		<br>

		<br>
		<label>Role:</label>
		<br>
		<input type="checkbox" name="role1" id="role1">
		<label for="role1">Developer</label>
		<br>
		<input type="checkbox" name="role2" id="role2">
		<label for="role2">Student</label>
		<br>
		<input type="checkbox" name="role3" id="role3">
		<label for="role3">Manager</label>
		<br>

		<br>
		<button type="sumbit">Submit</button>
		<br>
		<button type="reset">Reset</button>
	</form>
</div>
</body>
</html>